Bug 103733 - kickstart crash when installing on existing LVM logical volume
kickstart crash when installing on existing LVM logical volume
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-09-04 09:50 EDT by Pierre--Francois Honore
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 14:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump of anaconda (43.78 KB, text/plain)
2003-09-04 10:56 EDT, Pierre--Francois Honore
no flags Details

  None (edit)
Description Pierre--Francois Honore 2003-09-04 09:50:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030708

Description of problem:
I am using kickstart to install Severn on LVM logical volumes. The first
installation performs well. PV (hda2), VG (phnpcg208) and LVs (root, usr, var,
... ) are created and formated.

The second time, I try to reinstall over the same LVs and not format
/dev/phnpcg208/local.

Here are the kickstart files that I use 
Install
--------
clearpart --linux 
part /boot	--size 16 	--fstype ext2	--asprimary 
part pv.02			--size 1 --grow --noformat
volgroup phnpcg208 pv.02
logvol /                --vgname=phnpcg208  --size=300		--name=root	--fstype ext3
logvol swap		--vgname=phnpcg208  --size 128		--name=swap
logvol /usr             --vgname=phnpcg208  --size=2500		--name=usr	--fstype ext3
logvol /tmp             --vgname=phnpcg208  --size=300		--name=tmp	--fstype ext3
logvol /var             --vgname=phnpcg208  --size=300		--name=var	--fstype ext3
logvol /usr/local	--vgname=phnpcg208  --size=1 --grow	--name=local	--fstype ext3

Re-install
--------
part /boot	--onpart=hda1	--size 16 	--fstype ext2 
part pv.02	--onpart=hda2	--size 1 --grow --noformat
volgroup phnpcg208 pv.02
logvol /                --vgname=phnpcg208  --size=300		--name=root	--fstype ext3
logvol swap		--vgname=phnpcg208  --size 128		--name=swap
logvol /usr             --vgname=phnpcg208  --size=2500		--name=usr	--fstype ext3
logvol /tmp             --vgname=phnpcg208  --size=300		--name=tmp	--fstype ext3
logvol /var             --vgname=phnpcg208  --size=300		--name=var	--fstype ext3
logvol /usr/local	--vgname=phnpcg208  --size=1 --grow	--name=local	--fstype ext3
--noformat


Version-Release number of selected component (if applicable):
anaconda-9.0.93-1

How reproducible:
Always

Steps to Reproduce:
1. kickstart Severn on LVM logical volume with option clearpart
2. kickstart using the existing partions without clearpart
    

Actual Results:  Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1025, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 674, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 1415, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1387, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 1053, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 273, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 95, in partitioningComplete
    entry = request.toEntry(partitions)
  File "/usr/lib/anaconda/partRequests.py", line 166, in toEntry
    device = self.getDevice(partitions)
  File "/usr/lib/anaconda/partRequests.py", line 716, in getDevice
    pvs.append(partitions.getRequestByID(pv).getDevice(partitions))
AttributeError: 'NoneType' object has no attribute 'getDevice'

Expected Results:  formating /dev/phnpcg208/root, /dev/phnpcg208/usr,
/dev/phnpcg208/var, /dev/phnpcg208/var
presevering /dev/phnpcg208/local
installing

Additional info:

If kickstart contains the option upgrade instead of install then it does not crash

With a manual installation (without kickstart), I am able to select the pre
existing LV and perform the re-installation.

If I replace the directives : logvol by part (part / --onpart=phnpcg208/root
--fstype ext3, ...) then anaconda stops saying  that /dev/phnpcg208/root does
not exist. Even I add a %pre script :
vgscan
vgchange -ay
Comment 1 Pierre--Francois Honore 2003-09-04 10:56:08 EDT
Created attachment 94201 [details]
dump of anaconda 

anacdump.txt
Comment 2 Jeremy Katz 2003-10-16 14:28:38 EDT
You need to add --useexisting to your volgroup and logvol lines to reuse
preexisting volume groups and logical volumes.

Note You need to log in before you can comment on or make changes to this bug.